import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Pagination } from './components/pagination';
export var PaginationComponent = Intact.decorate(Pagination, 'k-pagination');
var components = [PaginationComponent];
var PaginationModule = /** @class */ (function () {
    function PaginationModule() {
    }
    PaginationModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], PaginationModule);
    return PaginationModule;
}());
export { PaginationModule };